#!/usr/bin/env perl
use strict;
use pecco;

open (IN, shift (@ARGV));

my $timer = new pecco::Timer ("pecco", "classify");
my $c     = new pecco::PolyK ("\$0 " . join (' ', @ARGV));
$c->load();

my ($pp, $pn, $np, $nn) = 0, 0, 0, 0;
while (<IN>) {
  chomp;
  m/^(\S+) /;
  my ($label, $fstr) = ($1, $');
  $timer->startTimer ();
  # my @fv = map { (split (':'))[0]; } split (' ', $fstr);
  # my $sign = $c->binClassify (\@fv);
  my $sign = $c->classify ($fstr) > 0;
  $timer->stopTimer ();
  if ($label == "+1") {
    if ($sign) { $pp += 1; } else { $pn += 1; }
  } else {
    if ($sign) { $np += 1; } else { $nn += 1; }
  }
}
close (IN);

printf(STDERR "acc. %2.3f%% (pp %d) (pn %d) (np %d) (nn %d)\n",
       ($pp + $nn) * 100.0 / ($pp + $pn + $np + $nn), $pp, $pn, $np, $nn);

$timer->printElapsed ();
